using AutoMapper;
using BlazorApp1;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using Syncfusion.Blazor;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services.AddScoped(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });
builder.Services.AddAutoMapper(typeof(App));
builder.Services.AddSyncfusionBlazor();

var mappingConfig = new MapperConfiguration(mc =>
{
   
});

IMapper mapper = mappingConfig.CreateMapper();
builder.Services.AddSingleton(mapper);

await builder.Build().RunAsync();
